adobe flash_player logo

Critical Vulnerabilities have been identified in current Adobe Flash Player version 10.1.102.64 and earlier versions of windows, Macintosh, Linux and Solaris. These vulnerabilities may cause application to crash and could potentially allows an attacker take control of the affected system. Adobe released security update and recommends all users to update their Flash Players  to Flash player 10.2.152.26 version.

Flash Player 10.2 Offline Installer

To check flash player version you’re using visit Adobe Flash Player Page

Flash Player 10.2 offline installer

Google Chrome already updated built-in flash player plug-in to latest version. You need to install separate flash player versions for IE (ActiveX version) and other browsers in your Computer.

Download Flash Player 10.2 for Windows [for other browsers]

Download Flash Player 10.2 for Windows [for IE]